Makefile.in

changeset 49
08b780ecc611
     1.1 --- /dev/null	Thu Jan 01 00:00:00 1970 +0000
     1.2 +++ b/Makefile.in	Wed May 31 12:22:36 2017 +0200
     1.3 @@ -0,0 +1,769 @@
     1.4 +# Makefile.in generated by automake 1.13.4 from Makefile.am.
     1.5 +# @configure_input@
     1.6 +
     1.7 +# Copyright (C) 1994-2013 Free Software Foundation, Inc.
     1.8 +
     1.9 +# This Makefile.in is free software; the Free Software Foundation
    1.10 +# gives unlimited permission to copy and/or distribute it,
    1.11 +# with or without modifications, as long as this notice is preserved.
    1.12 +
    1.13 +# This program is distributed in the hope that it will be useful,
    1.14 +# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
    1.15 +# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
    1.16 +# PARTICULAR PURPOSE.
    1.17 +
    1.18 +@SET_MAKE@
    1.19 +
    1.20 +# Copyright 2017 Mike Becker. All rights reserved.
    1.21 +# 
    1.22 +# Redistribution and use in source and binary forms, with or without
    1.23 +# modification, are permitted provided that the following conditions are met:
    1.24 +# 
    1.25 +# 1. Redistributions of source code must retain the above copyright
    1.26 +# notice, this list of conditions and the following disclaimer.
    1.27 +# 
    1.28 +# 2. Redistributions in binary form must reproduce the above copyright
    1.29 +# notice, this list of conditions and the following disclaimer in the
    1.30 +# documentation and/or other materials provided with the distribution.
    1.31 +# 
    1.32 +# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
    1.33 +# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
    1.34 +# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    1.35 +# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
    1.36 +# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
    1.37 +# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
    1.38 +# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
    1.39 +# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
    1.40 +# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
    1.41 +# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
    1.42 +VPATH = @srcdir@
    1.43 +am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
    1.44 +am__make_running_with_option = \
    1.45 +  case $${target_option-} in \
    1.46 +      ?) ;; \
    1.47 +      *) echo "am__make_running_with_option: internal error: invalid" \
    1.48 +              "target option '$${target_option-}' specified" >&2; \
    1.49 +         exit 1;; \
    1.50 +  esac; \
    1.51 +  has_opt=no; \
    1.52 +  sane_makeflags=$$MAKEFLAGS; \
    1.53 +  if $(am__is_gnu_make); then \
    1.54 +    sane_makeflags=$$MFLAGS; \
    1.55 +  else \
    1.56 +    case $$MAKEFLAGS in \
    1.57 +      *\\[\ \	]*) \
    1.58 +        bs=\\; \
    1.59 +        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
    1.60 +          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    1.61 +    esac; \
    1.62 +  fi; \
    1.63 +  skip_next=no; \
    1.64 +  strip_trailopt () \
    1.65 +  { \
    1.66 +    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
    1.67 +  }; \
    1.68 +  for flg in $$sane_makeflags; do \
    1.69 +    test $$skip_next = yes && { skip_next=no; continue; }; \
    1.70 +    case $$flg in \
    1.71 +      *=*|--*) continue;; \
    1.72 +        -*I) strip_trailopt 'I'; skip_next=yes;; \
    1.73 +      -*I?*) strip_trailopt 'I';; \
    1.74 +        -*O) strip_trailopt 'O'; skip_next=yes;; \
    1.75 +      -*O?*) strip_trailopt 'O';; \
    1.76 +        -*l) strip_trailopt 'l'; skip_next=yes;; \
    1.77 +      -*l?*) strip_trailopt 'l';; \
    1.78 +      -[dEDm]) skip_next=yes;; \
    1.79 +      -[JT]) skip_next=yes;; \
    1.80 +    esac; \
    1.81 +    case $$flg in \
    1.82 +      *$$target_option*) has_opt=yes; break;; \
    1.83 +    esac; \
    1.84 +  done; \
    1.85 +  test $$has_opt = yes
    1.86 +am__make_dryrun = (target_option=n; $(am__make_running_with_option))
    1.87 +am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
    1.88 +pkgdatadir = $(datadir)/@PACKAGE@
    1.89 +pkgincludedir = $(includedir)/@PACKAGE@
    1.90 +pkglibdir = $(libdir)/@PACKAGE@
    1.91 +pkglibexecdir = $(libexecdir)/@PACKAGE@
    1.92 +am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
    1.93 +install_sh_DATA = $(install_sh) -c -m 644
    1.94 +install_sh_PROGRAM = $(install_sh) -c
    1.95 +install_sh_SCRIPT = $(install_sh) -c
    1.96 +INSTALL_HEADER = $(INSTALL_DATA)
    1.97 +transform = $(program_transform_name)
    1.98 +NORMAL_INSTALL = :
    1.99 +PRE_INSTALL = :
   1.100 +POST_INSTALL = :
   1.101 +NORMAL_UNINSTALL = :
   1.102 +PRE_UNINSTALL = :
   1.103 +POST_UNINSTALL = :
   1.104 +subdir = .
   1.105 +DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
   1.106 +	$(top_srcdir)/configure $(am__configure_deps) \
   1.107 +	$(srcdir)/config.h.in README depcomp install-sh missing
   1.108 +ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   1.109 +am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   1.110 +am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   1.111 +	$(ACLOCAL_M4)
   1.112 +am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   1.113 + configure.lineno config.status.lineno
   1.114 +mkinstalldirs = $(install_sh) -d
   1.115 +CONFIG_HEADER = config.h
   1.116 +CONFIG_CLEAN_FILES =
   1.117 +CONFIG_CLEAN_VPATH_FILES =
   1.118 +AM_V_P = $(am__v_P_@AM_V@)
   1.119 +am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
   1.120 +am__v_P_0 = false
   1.121 +am__v_P_1 = :
   1.122 +AM_V_GEN = $(am__v_GEN_@AM_V@)
   1.123 +am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
   1.124 +am__v_GEN_0 = @echo "  GEN     " $@;
   1.125 +am__v_GEN_1 = 
   1.126 +AM_V_at = $(am__v_at_@AM_V@)
   1.127 +am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
   1.128 +am__v_at_0 = @
   1.129 +am__v_at_1 = 
   1.130 +SOURCES =
   1.131 +DIST_SOURCES =
   1.132 +RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
   1.133 +	ctags-recursive dvi-recursive html-recursive info-recursive \
   1.134 +	install-data-recursive install-dvi-recursive \
   1.135 +	install-exec-recursive install-html-recursive \
   1.136 +	install-info-recursive install-pdf-recursive \
   1.137 +	install-ps-recursive install-recursive installcheck-recursive \
   1.138 +	installdirs-recursive pdf-recursive ps-recursive \
   1.139 +	tags-recursive uninstall-recursive
   1.140 +am__can_run_installinfo = \
   1.141 +  case $$AM_UPDATE_INFO_DIR in \
   1.142 +    n|no|NO) false;; \
   1.143 +    *) (install-info --version) >/dev/null 2>&1;; \
   1.144 +  esac
   1.145 +RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   1.146 +  distclean-recursive maintainer-clean-recursive
   1.147 +am__recursive_targets = \
   1.148 +  $(RECURSIVE_TARGETS) \
   1.149 +  $(RECURSIVE_CLEAN_TARGETS) \
   1.150 +  $(am__extra_recursive_targets)
   1.151 +AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
   1.152 +	cscope distdir dist dist-all distcheck
   1.153 +am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
   1.154 +	$(LISP)config.h.in
   1.155 +# Read a list of newline-separated strings from the standard input,
   1.156 +# and print each of them once, without duplicates.  Input order is
   1.157 +# *not* preserved.
   1.158 +am__uniquify_input = $(AWK) '\
   1.159 +  BEGIN { nonempty = 0; } \
   1.160 +  { items[$$0] = 1; nonempty = 1; } \
   1.161 +  END { if (nonempty) { for (i in items) print i; }; } \
   1.162 +'
   1.163 +# Make sure the list of sources is unique.  This is necessary because,
   1.164 +# e.g., the same source file might be shared among _SOURCES variables
   1.165 +# for different programs/libraries.
   1.166 +am__define_uniq_tagged_files = \
   1.167 +  list='$(am__tagged_files)'; \
   1.168 +  unique=`for i in $$list; do \
   1.169 +    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   1.170 +  done | $(am__uniquify_input)`
   1.171 +ETAGS = etags
   1.172 +CTAGS = ctags
   1.173 +CSCOPE = cscope
   1.174 +DIST_SUBDIRS = $(SUBDIRS)
   1.175 +DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
   1.176 +distdir = $(PACKAGE)-$(VERSION)
   1.177 +top_distdir = $(distdir)
   1.178 +am__remove_distdir = \
   1.179 +  if test -d "$(distdir)"; then \
   1.180 +    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
   1.181 +      && rm -rf "$(distdir)" \
   1.182 +      || { sleep 5 && rm -rf "$(distdir)"; }; \
   1.183 +  else :; fi
   1.184 +am__post_remove_distdir = $(am__remove_distdir)
   1.185 +am__relativize = \
   1.186 +  dir0=`pwd`; \
   1.187 +  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
   1.188 +  sed_rest='s,^[^/]*/*,,'; \
   1.189 +  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
   1.190 +  sed_butlast='s,/*[^/]*$$,,'; \
   1.191 +  while test -n "$$dir1"; do \
   1.192 +    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
   1.193 +    if test "$$first" != "."; then \
   1.194 +      if test "$$first" = ".."; then \
   1.195 +        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
   1.196 +        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
   1.197 +      else \
   1.198 +        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
   1.199 +        if test "$$first2" = "$$first"; then \
   1.200 +          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
   1.201 +        else \
   1.202 +          dir2="../$$dir2"; \
   1.203 +        fi; \
   1.204 +        dir0="$$dir0"/"$$first"; \
   1.205 +      fi; \
   1.206 +    fi; \
   1.207 +    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
   1.208 +  done; \
   1.209 +  reldir="$$dir2"
   1.210 +DIST_ARCHIVES = $(distdir).tar.gz
   1.211 +GZIP_ENV = --best
   1.212 +DIST_TARGETS = dist-gzip
   1.213 +distuninstallcheck_listfiles = find . -type f -print
   1.214 +am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
   1.215 +  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
   1.216 +distcleancheck_listfiles = find . -type f -print
   1.217 +ACLOCAL = @ACLOCAL@
   1.218 +AMTAR = @AMTAR@
   1.219 +AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
   1.220 +AUTOCONF = @AUTOCONF@
   1.221 +AUTOHEADER = @AUTOHEADER@
   1.222 +AUTOMAKE = @AUTOMAKE@
   1.223 +AWK = @AWK@
   1.224 +CC = @CC@
   1.225 +CCDEPMODE = @CCDEPMODE@
   1.226 +CFLAGS = @CFLAGS@
   1.227 +CPP = @CPP@
   1.228 +CPPFLAGS = @CPPFLAGS@
   1.229 +CYGPATH_W = @CYGPATH_W@
   1.230 +DEFS = @DEFS@
   1.231 +DEPDIR = @DEPDIR@
   1.232 +ECHO_C = @ECHO_C@
   1.233 +ECHO_N = @ECHO_N@
   1.234 +ECHO_T = @ECHO_T@
   1.235 +EGREP = @EGREP@
   1.236 +EXEEXT = @EXEEXT@
   1.237 +GREP = @GREP@
   1.238 +INSTALL = @INSTALL@
   1.239 +INSTALL_DATA = @INSTALL_DATA@
   1.240 +INSTALL_PROGRAM = @INSTALL_PROGRAM@
   1.241 +INSTALL_SCRIPT = @INSTALL_SCRIPT@
   1.242 +INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
   1.243 +LDFLAGS = @LDFLAGS@
   1.244 +LIBOBJS = @LIBOBJS@
   1.245 +LIBS = @LIBS@
   1.246 +LTLIBOBJS = @LTLIBOBJS@
   1.247 +MAKEINFO = @MAKEINFO@
   1.248 +MKDIR_P = @MKDIR_P@
   1.249 +OBJEXT = @OBJEXT@
   1.250 +PACKAGE = @PACKAGE@
   1.251 +PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
   1.252 +PACKAGE_NAME = @PACKAGE_NAME@
   1.253 +PACKAGE_STRING = @PACKAGE_STRING@
   1.254 +PACKAGE_TARNAME = @PACKAGE_TARNAME@
   1.255 +PACKAGE_URL = @PACKAGE_URL@
   1.256 +PACKAGE_VERSION = @PACKAGE_VERSION@
   1.257 +PATH_SEPARATOR = @PATH_SEPARATOR@
   1.258 +SET_MAKE = @SET_MAKE@
   1.259 +SHELL = @SHELL@
   1.260 +STRIP = @STRIP@
   1.261 +VERSION = @VERSION@
   1.262 +abs_builddir = @abs_builddir@
   1.263 +abs_srcdir = @abs_srcdir@
   1.264 +abs_top_builddir = @abs_top_builddir@
   1.265 +abs_top_srcdir = @abs_top_srcdir@
   1.266 +ac_ct_CC = @ac_ct_CC@
   1.267 +am__include = @am__include@
   1.268 +am__leading_dot = @am__leading_dot@
   1.269 +am__quote = @am__quote@
   1.270 +am__tar = @am__tar@
   1.271 +am__untar = @am__untar@
   1.272 +bindir = @bindir@
   1.273 +build_alias = @build_alias@
   1.274 +builddir = @builddir@
   1.275 +datadir = @datadir@
   1.276 +datarootdir = @datarootdir@
   1.277 +docdir = @docdir@
   1.278 +dvidir = @dvidir@
   1.279 +exec_prefix = @exec_prefix@
   1.280 +host_alias = @host_alias@
   1.281 +htmldir = @htmldir@
   1.282 +includedir = @includedir@
   1.283 +infodir = @infodir@
   1.284 +install_sh = @install_sh@
   1.285 +libdir = @libdir@
   1.286 +libexecdir = @libexecdir@
   1.287 +localedir = @localedir@
   1.288 +localstatedir = @localstatedir@
   1.289 +mandir = @mandir@
   1.290 +mkdir_p = @mkdir_p@
   1.291 +oldincludedir = @oldincludedir@
   1.292 +pdfdir = @pdfdir@
   1.293 +prefix = @prefix@
   1.294 +program_transform_name = @program_transform_name@
   1.295 +psdir = @psdir@
   1.296 +sbindir = @sbindir@
   1.297 +sharedstatedir = @sharedstatedir@
   1.298 +srcdir = @srcdir@
   1.299 +sysconfdir = @sysconfdir@
   1.300 +target_alias = @target_alias@
   1.301 +top_build_prefix = @top_build_prefix@
   1.302 +top_builddir = @top_builddir@
   1.303 +top_srcdir = @top_srcdir@
   1.304 +AUTOMAKE_OPTIONS = foreign
   1.305 +SUBDIRS = src
   1.306 +all: config.h
   1.307 +	$(MAKE) $(AM_MAKEFLAGS) all-recursive
   1.308 +
   1.309 +.SUFFIXES:
   1.310 +am--refresh: Makefile
   1.311 +	@:
   1.312 +$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
   1.313 +	@for dep in $?; do \
   1.314 +	  case '$(am__configure_deps)' in \
   1.315 +	    *$$dep*) \
   1.316 +	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
   1.317 +	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
   1.318 +		&& exit 0; \
   1.319 +	      exit 1;; \
   1.320 +	  esac; \
   1.321 +	done; \
   1.322 +	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
   1.323 +	$(am__cd) $(top_srcdir) && \
   1.324 +	  $(AUTOMAKE) --foreign Makefile
   1.325 +.PRECIOUS: Makefile
   1.326 +Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
   1.327 +	@case '$?' in \
   1.328 +	  *config.status*) \
   1.329 +	    echo ' $(SHELL) ./config.status'; \
   1.330 +	    $(SHELL) ./config.status;; \
   1.331 +	  *) \
   1.332 +	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
   1.333 +	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
   1.334 +	esac;
   1.335 +
   1.336 +$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
   1.337 +	$(SHELL) ./config.status --recheck
   1.338 +
   1.339 +$(top_srcdir)/configure:  $(am__configure_deps)
   1.340 +	$(am__cd) $(srcdir) && $(AUTOCONF)
   1.341 +$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
   1.342 +	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
   1.343 +$(am__aclocal_m4_deps):
   1.344 +
   1.345 +config.h: stamp-h1
   1.346 +	@if test ! -f $@; then rm -f stamp-h1; else :; fi
   1.347 +	@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
   1.348 +
   1.349 +stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
   1.350 +	@rm -f stamp-h1
   1.351 +	cd $(top_builddir) && $(SHELL) ./config.status config.h
   1.352 +$(srcdir)/config.h.in:  $(am__configure_deps) 
   1.353 +	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
   1.354 +	rm -f stamp-h1
   1.355 +	touch $@
   1.356 +
   1.357 +distclean-hdr:
   1.358 +	-rm -f config.h stamp-h1
   1.359 +
   1.360 +# This directory's subdirectories are mostly independent; you can cd
   1.361 +# into them and run 'make' without going through this Makefile.
   1.362 +# To change the values of 'make' variables: instead of editing Makefiles,
   1.363 +# (1) if the variable is set in 'config.status', edit 'config.status'
   1.364 +#     (which will cause the Makefiles to be regenerated when you run 'make');
   1.365 +# (2) otherwise, pass the desired values on the 'make' command line.
   1.366 +$(am__recursive_targets):
   1.367 +	@fail=; \
   1.368 +	if $(am__make_keepgoing); then \
   1.369 +	  failcom='fail=yes'; \
   1.370 +	else \
   1.371 +	  failcom='exit 1'; \
   1.372 +	fi; \
   1.373 +	dot_seen=no; \
   1.374 +	target=`echo $@ | sed s/-recursive//`; \
   1.375 +	case "$@" in \
   1.376 +	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
   1.377 +	  *) list='$(SUBDIRS)' ;; \
   1.378 +	esac; \
   1.379 +	for subdir in $$list; do \
   1.380 +	  echo "Making $$target in $$subdir"; \
   1.381 +	  if test "$$subdir" = "."; then \
   1.382 +	    dot_seen=yes; \
   1.383 +	    local_target="$$target-am"; \
   1.384 +	  else \
   1.385 +	    local_target="$$target"; \
   1.386 +	  fi; \
   1.387 +	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
   1.388 +	  || eval $$failcom; \
   1.389 +	done; \
   1.390 +	if test "$$dot_seen" = "no"; then \
   1.391 +	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
   1.392 +	fi; test -z "$$fail"
   1.393 +
   1.394 +ID: $(am__tagged_files)
   1.395 +	$(am__define_uniq_tagged_files); mkid -fID $$unique
   1.396 +tags: tags-recursive
   1.397 +TAGS: tags
   1.398 +
   1.399 +tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
   1.400 +	set x; \
   1.401 +	here=`pwd`; \
   1.402 +	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
   1.403 +	  include_option=--etags-include; \
   1.404 +	  empty_fix=.; \
   1.405 +	else \
   1.406 +	  include_option=--include; \
   1.407 +	  empty_fix=; \
   1.408 +	fi; \
   1.409 +	list='$(SUBDIRS)'; for subdir in $$list; do \
   1.410 +	  if test "$$subdir" = .; then :; else \
   1.411 +	    test ! -f $$subdir/TAGS || \
   1.412 +	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
   1.413 +	  fi; \
   1.414 +	done; \
   1.415 +	$(am__define_uniq_tagged_files); \
   1.416 +	shift; \
   1.417 +	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
   1.418 +	  test -n "$$unique" || unique=$$empty_fix; \
   1.419 +	  if test $$# -gt 0; then \
   1.420 +	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
   1.421 +	      "$$@" $$unique; \
   1.422 +	  else \
   1.423 +	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
   1.424 +	      $$unique; \
   1.425 +	  fi; \
   1.426 +	fi
   1.427 +ctags: ctags-recursive
   1.428 +
   1.429 +CTAGS: ctags
   1.430 +ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
   1.431 +	$(am__define_uniq_tagged_files); \
   1.432 +	test -z "$(CTAGS_ARGS)$$unique" \
   1.433 +	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
   1.434 +	     $$unique
   1.435 +
   1.436 +GTAGS:
   1.437 +	here=`$(am__cd) $(top_builddir) && pwd` \
   1.438 +	  && $(am__cd) $(top_srcdir) \
   1.439 +	  && gtags -i $(GTAGS_ARGS) "$$here"
   1.440 +cscope: cscope.files
   1.441 +	test ! -s cscope.files \
   1.442 +	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
   1.443 +clean-cscope:
   1.444 +	-rm -f cscope.files
   1.445 +cscope.files: clean-cscope cscopelist
   1.446 +cscopelist: cscopelist-recursive
   1.447 +
   1.448 +cscopelist-am: $(am__tagged_files)
   1.449 +	list='$(am__tagged_files)'; \
   1.450 +	case "$(srcdir)" in \
   1.451 +	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
   1.452 +	  *) sdir=$(subdir)/$(srcdir) ;; \
   1.453 +	esac; \
   1.454 +	for i in $$list; do \
   1.455 +	  if test -f "$$i"; then \
   1.456 +	    echo "$(subdir)/$$i"; \
   1.457 +	  else \
   1.458 +	    echo "$$sdir/$$i"; \
   1.459 +	  fi; \
   1.460 +	done >> $(top_builddir)/cscope.files
   1.461 +
   1.462 +distclean-tags:
   1.463 +	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
   1.464 +	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
   1.465 +
   1.466 +distdir: $(DISTFILES)
   1.467 +	$(am__remove_distdir)
   1.468 +	test -d "$(distdir)" || mkdir "$(distdir)"
   1.469 +	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   1.470 +	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   1.471 +	list='$(DISTFILES)'; \
   1.472 +	  dist_files=`for file in $$list; do echo $$file; done | \
   1.473 +	  sed -e "s|^$$srcdirstrip/||;t" \
   1.474 +	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
   1.475 +	case $$dist_files in \
   1.476 +	  */*) $(MKDIR_P) `echo "$$dist_files" | \
   1.477 +			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
   1.478 +			   sort -u` ;; \
   1.479 +	esac; \
   1.480 +	for file in $$dist_files; do \
   1.481 +	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
   1.482 +	  if test -d $$d/$$file; then \
   1.483 +	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
   1.484 +	    if test -d "$(distdir)/$$file"; then \
   1.485 +	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1.486 +	    fi; \
   1.487 +	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
   1.488 +	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
   1.489 +	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1.490 +	    fi; \
   1.491 +	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
   1.492 +	  else \
   1.493 +	    test -f "$(distdir)/$$file" \
   1.494 +	    || cp -p $$d/$$file "$(distdir)/$$file" \
   1.495 +	    || exit 1; \
   1.496 +	  fi; \
   1.497 +	done
   1.498 +	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
   1.499 +	  if test "$$subdir" = .; then :; else \
   1.500 +	    $(am__make_dryrun) \
   1.501 +	      || test -d "$(distdir)/$$subdir" \
   1.502 +	      || $(MKDIR_P) "$(distdir)/$$subdir" \
   1.503 +	      || exit 1; \
   1.504 +	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
   1.505 +	    $(am__relativize); \
   1.506 +	    new_distdir=$$reldir; \
   1.507 +	    dir1=$$subdir; dir2="$(top_distdir)"; \
   1.508 +	    $(am__relativize); \
   1.509 +	    new_top_distdir=$$reldir; \
   1.510 +	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
   1.511 +	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
   1.512 +	    ($(am__cd) $$subdir && \
   1.513 +	      $(MAKE) $(AM_MAKEFLAGS) \
   1.514 +	        top_distdir="$$new_top_distdir" \
   1.515 +	        distdir="$$new_distdir" \
   1.516 +		am__remove_distdir=: \
   1.517 +		am__skip_length_check=: \
   1.518 +		am__skip_mode_fix=: \
   1.519 +	        distdir) \
   1.520 +	      || exit 1; \
   1.521 +	  fi; \
   1.522 +	done
   1.523 +	-test -n "$(am__skip_mode_fix)" \
   1.524 +	|| find "$(distdir)" -type d ! -perm -755 \
   1.525 +		-exec chmod u+rwx,go+rx {} \; -o \
   1.526 +	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
   1.527 +	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
   1.528 +	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
   1.529 +	|| chmod -R a+r "$(distdir)"
   1.530 +dist-gzip: distdir
   1.531 +	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
   1.532 +	$(am__post_remove_distdir)
   1.533 +
   1.534 +dist-bzip2: distdir
   1.535 +	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
   1.536 +	$(am__post_remove_distdir)
   1.537 +
   1.538 +dist-lzip: distdir
   1.539 +	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
   1.540 +	$(am__post_remove_distdir)
   1.541 +
   1.542 +dist-xz: distdir
   1.543 +	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
   1.544 +	$(am__post_remove_distdir)
   1.545 +
   1.546 +dist-tarZ: distdir
   1.547 +	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
   1.548 +	$(am__post_remove_distdir)
   1.549 +
   1.550 +dist-shar: distdir
   1.551 +	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
   1.552 +	$(am__post_remove_distdir)
   1.553 +
   1.554 +dist-zip: distdir
   1.555 +	-rm -f $(distdir).zip
   1.556 +	zip -rq $(distdir).zip $(distdir)
   1.557 +	$(am__post_remove_distdir)
   1.558 +
   1.559 +dist dist-all:
   1.560 +	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
   1.561 +	$(am__post_remove_distdir)
   1.562 +
   1.563 +# This target untars the dist file and tries a VPATH configuration.  Then
   1.564 +# it guarantees that the distribution is self-contained by making another
   1.565 +# tarfile.
   1.566 +distcheck: dist
   1.567 +	case '$(DIST_ARCHIVES)' in \
   1.568 +	*.tar.gz*) \
   1.569 +	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
   1.570 +	*.tar.bz2*) \
   1.571 +	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
   1.572 +	*.tar.lz*) \
   1.573 +	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
   1.574 +	*.tar.xz*) \
   1.575 +	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
   1.576 +	*.tar.Z*) \
   1.577 +	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
   1.578 +	*.shar.gz*) \
   1.579 +	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
   1.580 +	*.zip*) \
   1.581 +	  unzip $(distdir).zip ;;\
   1.582 +	esac
   1.583 +	chmod -R a-w $(distdir)
   1.584 +	chmod u+w $(distdir)
   1.585 +	mkdir $(distdir)/_build $(distdir)/_inst
   1.586 +	chmod a-w $(distdir)
   1.587 +	test -d $(distdir)/_build || exit 0; \
   1.588 +	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
   1.589 +	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
   1.590 +	  && am__cwd=`pwd` \
   1.591 +	  && $(am__cd) $(distdir)/_build \
   1.592 +	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
   1.593 +	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
   1.594 +	    $(DISTCHECK_CONFIGURE_FLAGS) \
   1.595 +	  && $(MAKE) $(AM_MAKEFLAGS) \
   1.596 +	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
   1.597 +	  && $(MAKE) $(AM_MAKEFLAGS) check \
   1.598 +	  && $(MAKE) $(AM_MAKEFLAGS) install \
   1.599 +	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
   1.600 +	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
   1.601 +	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
   1.602 +	        distuninstallcheck \
   1.603 +	  && chmod -R a-w "$$dc_install_base" \
   1.604 +	  && ({ \
   1.605 +	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
   1.606 +	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
   1.607 +	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
   1.608 +	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
   1.609 +	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
   1.610 +	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
   1.611 +	  && rm -rf "$$dc_destdir" \
   1.612 +	  && $(MAKE) $(AM_MAKEFLAGS) dist \
   1.613 +	  && rm -rf $(DIST_ARCHIVES) \
   1.614 +	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
   1.615 +	  && cd "$$am__cwd" \
   1.616 +	  || exit 1
   1.617 +	$(am__post_remove_distdir)
   1.618 +	@(echo "$(distdir) archives ready for distribution: "; \
   1.619 +	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
   1.620 +	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
   1.621 +distuninstallcheck:
   1.622 +	@test -n '$(distuninstallcheck_dir)' || { \
   1.623 +	  echo 'ERROR: trying to run $@ with an empty' \
   1.624 +	       '$$(distuninstallcheck_dir)' >&2; \
   1.625 +	  exit 1; \
   1.626 +	}; \
   1.627 +	$(am__cd) '$(distuninstallcheck_dir)' || { \
   1.628 +	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
   1.629 +	  exit 1; \
   1.630 +	}; \
   1.631 +	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
   1.632 +	   || { echo "ERROR: files left after uninstall:" ; \
   1.633 +	        if test -n "$(DESTDIR)"; then \
   1.634 +	          echo "  (check DESTDIR support)"; \
   1.635 +	        fi ; \
   1.636 +	        $(distuninstallcheck_listfiles) ; \
   1.637 +	        exit 1; } >&2
   1.638 +distcleancheck: distclean
   1.639 +	@if test '$(srcdir)' = . ; then \
   1.640 +	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
   1.641 +	  exit 1 ; \
   1.642 +	fi
   1.643 +	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
   1.644 +	  || { echo "ERROR: files left in build directory after distclean:" ; \
   1.645 +	       $(distcleancheck_listfiles) ; \
   1.646 +	       exit 1; } >&2
   1.647 +check-am: all-am
   1.648 +check: check-recursive
   1.649 +all-am: Makefile config.h
   1.650 +installdirs: installdirs-recursive
   1.651 +installdirs-am:
   1.652 +install: install-recursive
   1.653 +install-exec: install-exec-recursive
   1.654 +install-data: install-data-recursive
   1.655 +uninstall: uninstall-recursive
   1.656 +
   1.657 +install-am: all-am
   1.658 +	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
   1.659 +
   1.660 +installcheck: installcheck-recursive
   1.661 +install-strip:
   1.662 +	if test -z '$(STRIP)'; then \
   1.663 +	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1.664 +	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1.665 +	      install; \
   1.666 +	else \
   1.667 +	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1.668 +	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1.669 +	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
   1.670 +	fi
   1.671 +mostlyclean-generic:
   1.672 +
   1.673 +clean-generic:
   1.674 +
   1.675 +distclean-generic:
   1.676 +	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
   1.677 +	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
   1.678 +
   1.679 +maintainer-clean-generic:
   1.680 +	@echo "This command is intended for maintainers to use"
   1.681 +	@echo "it deletes files that may require special tools to rebuild."
   1.682 +clean: clean-recursive
   1.683 +
   1.684 +clean-am: clean-generic mostlyclean-am
   1.685 +
   1.686 +distclean: distclean-recursive
   1.687 +	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
   1.688 +	-rm -f Makefile
   1.689 +distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
   1.690 +
   1.691 +dvi: dvi-recursive
   1.692 +
   1.693 +dvi-am:
   1.694 +
   1.695 +html: html-recursive
   1.696 +
   1.697 +html-am:
   1.698 +
   1.699 +info: info-recursive
   1.700 +
   1.701 +info-am:
   1.702 +
   1.703 +install-data-am:
   1.704 +
   1.705 +install-dvi: install-dvi-recursive
   1.706 +
   1.707 +install-dvi-am:
   1.708 +
   1.709 +install-exec-am:
   1.710 +
   1.711 +install-html: install-html-recursive
   1.712 +
   1.713 +install-html-am:
   1.714 +
   1.715 +install-info: install-info-recursive
   1.716 +
   1.717 +install-info-am:
   1.718 +
   1.719 +install-man:
   1.720 +
   1.721 +install-pdf: install-pdf-recursive
   1.722 +
   1.723 +install-pdf-am:
   1.724 +
   1.725 +install-ps: install-ps-recursive
   1.726 +
   1.727 +install-ps-am:
   1.728 +
   1.729 +installcheck-am:
   1.730 +
   1.731 +maintainer-clean: maintainer-clean-recursive
   1.732 +	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
   1.733 +	-rm -rf $(top_srcdir)/autom4te.cache
   1.734 +	-rm -f Makefile
   1.735 +maintainer-clean-am: distclean-am maintainer-clean-generic
   1.736 +
   1.737 +mostlyclean: mostlyclean-recursive
   1.738 +
   1.739 +mostlyclean-am: mostlyclean-generic
   1.740 +
   1.741 +pdf: pdf-recursive
   1.742 +
   1.743 +pdf-am:
   1.744 +
   1.745 +ps: ps-recursive
   1.746 +
   1.747 +ps-am:
   1.748 +
   1.749 +uninstall-am:
   1.750 +
   1.751 +.MAKE: $(am__recursive_targets) all install-am install-strip
   1.752 +
   1.753 +.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
   1.754 +	am--refresh check check-am clean clean-cscope clean-generic \
   1.755 +	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
   1.756 +	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
   1.757 +	distcheck distclean distclean-generic distclean-hdr \
   1.758 +	distclean-tags distcleancheck distdir distuninstallcheck dvi \
   1.759 +	dvi-am html html-am info info-am install install-am \
   1.760 +	install-data install-data-am install-dvi install-dvi-am \
   1.761 +	install-exec install-exec-am install-html install-html-am \
   1.762 +	install-info install-info-am install-man install-pdf \
   1.763 +	install-pdf-am install-ps install-ps-am install-strip \
   1.764 +	installcheck installcheck-am installdirs installdirs-am \
   1.765 +	maintainer-clean maintainer-clean-generic mostlyclean \
   1.766 +	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
   1.767 +	uninstall-am
   1.768 +
   1.769 +
   1.770 +# Tell versions [3.59,3.63) of GNU make to not export all variables.
   1.771 +# Otherwise a system limit (for SysV at least) may be exceeded.
   1.772 +.NOEXPORT:

mercurial